Source: sqlalchemy
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all-dev (>= 3.1.2-8~),
               python3-setuptools,
Build-Depends-Indep: python3-changelog (>= 0.5.3),
                     python3-mako (>= 0.4.1),
                     python3-sphinx (>= 1.6),
                     python3-sphinx-paramlinks,
                     python3-zzzeeksphinx (>= 1.1.5),
Standards-Version: 4.5.0
Homepage: http://www.sqlalchemy.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlalchemy

Package: python-sqlalchemy-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
Recommends: python3-sqlalchemy,
Description: documentation for the SQLAlchemy Python library
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation for SQLAlchemy in HTML format.
 It's usable as a comprehensive reference, a user guide and a tutorial
 all-in-one.

Package: python3-sqlalchemy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: python3-sqlalchemy-ext,
Suggests: python-sqlalchemy-doc,
          python3-fdb,
          python3-pymssql,
          python3-mysqldb,
          python3-psycopg2,
Description: SQL toolkit and Object Relational Mapper for Python 3
 SQLAlchemy is an SQL database abstraction library for Python.
 Its strengths are:
  * full power and flexibility of SQL. SQLAlchemy provides a full suite
    of well known enterprise-level persistence patterns, designed for
    efficient and high-performing database access, adapted into a simple
    and Pythonic domain language.
  * extremely easy to use for all the basic tasks, such as: accessing pooled
    connections, constructing SQL from Python expressions, finding object
    instances, and committing object modifications back to the database.
  * powerful enough for complicated tasks, such as: eager load a graph of
    objects and their dependencies via joins; map recursive adjacency
    structures automatically; map objects to not just tables but to any
    arbitrary join or select statement; combine multiple tables together to
    load whole sets of otherwise unrelated objects from a single result set;
    commit entire graphs of object changes in one step.
  * built to conform to what DBAs demand, including the ability to swap out
    generated SQL with hand-optimized statements, full usage of bind parameters
    for all literal values, fully transactionalized and consistent updates
    using Unit of Work.
  * modular. Different parts of SQLAlchemy can be used independently of the
    rest, including the connection pool, SQL construction, and ORM. SQLAlchemy
    is constructed in an open style that allows plenty of customization, with
    an architecture that supports custom datatypes, custom SQL extensions, and
    ORM plugins which can augment or extend mapping functionality.

Package: python3-sqlalchemy-ext
Architecture: any
Depends: python3-sqlalchemy (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: SQL toolkit and Object Relational Mapper for Python3 - C extension
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains C coded extension accelerator for SQLAlchemy.
